# http status line
[http transport]

## Files
file | axis2_http_status_line.h
| axis2 HTTP Status Line

## Typedefs
typedef struct axis2_http_status_line | axis2_http_status_line_t
## Functions
AXIS2_EXTERN int | axis2_http_status_line_get_status_code (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_get_http_version (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_get_reason_phrase (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_http_status_line_starts_with_http (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_to_string (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_status_line_free (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_status_line_t * | axis2_http_status_line_create (const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN axis2_http_status_line_t * | axis2_http_status_line_create_with_values (const axutil_env_t *env, const axis2_char_t *http_ver, const int status_code, const axis2_char_t *phrase)
AXIS2_EXTERN void | axis2_http_status_line_set_http_version (axis2_http_status_line_t *status_line, const axutil_env_t *env, axis2_char_t *http_version)

## Typedef Documentation

typedef struct axis2_http_status_line axis2_http_status_line_t

Type name for struct axis2_http_status_line

## Function Documentation

AXIS2_EXTERN axis2_http_status_line_t* axis2_http_status_line_create | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | str | pointer to str

AXIS2_EXTERN void axis2_http_status_line_free | ( | axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_char_t* axis2_http_status_line_get_http_version | ( | const axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_status_line_get_reason_phrase | ( | const axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct

AXIS2_EXTERN int axis2_http_status_line_get_status_code | ( | const axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct

AXIS2_EXTERN axis2_bool_t axis2_http_status_line_starts_with_http | ( | axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct

AXIS2_EXTERN axis2_char_t* axis2_http_status_line_to_string | ( | axis2_http_status_line_t * | status_line,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | status_line | pointer to status line
  | env | pointer to environment struct